Skip to main content
GET
/
v2
/
lists
/
{listId}
/
list-entries
/
{listEntryId}
/
field-value-changes
Get Field Value Changes on a List Entry
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/field-value-changes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 42,
      "field": {
        "id": "field-1234",
        "entityType": "company",
        "name": "Stage",
        "type": "global"
      },
      "entity": {
        "id": 1
      },
      "listEntry": {
        "id": 1,
        "listId": 1
      },
      "changer": {
        "id": 1,
        "firstName": "John",
        "lastName": "Smith",
        "emailAddress": "john.smith@contoso.com"
      },
      "changedAt": "2024-06-01T12:00:00Z",
      "actionType": "update",
      "type": "<string>",
      "value": {
        "referenceType": "<string>",
        "id": 1,
        "name": "Horizon Technologies",
        "domain": "horizontech.com"
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
listEntryId
integer<int64>
required

List Entry ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

filter
string

Filter options

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

10

Response

OK

data
(fieldValueChanges.CompanyValueChange · object | fieldValueChanges.CompanyMultiValueChange · object | fieldValueChanges.DatetimeValueChange · object | fieldValueChanges.DropdownValueChange · object | fieldValueChanges.DropdownMultiValueChange · object | fieldValueChanges.FilterableTextValueChange · object | fieldValueChanges.FilterableTextMultiValueChange · object | fieldValueChanges.LocationValueChange · object | fieldValueChanges.LocationMultiValueChange · object | fieldValueChanges.NumberValueChange · object | fieldValueChanges.NumberMultiValueChange · object | fieldValueChanges.PersonValueChange · object | fieldValueChanges.PersonMultiValueChange · object | fieldValueChanges.RankedDropdownValueChange · object | fieldValueChanges.TextValueChange · object)[]
required

The field value changes for this page

Maximum array length: 100
pagination
Pagination · object
required